Subject: bug#41222: 27.1; Auto-resizing of images in image-mode

From: Juri Linkov <[email-masked]>
Date: Wed, 20 May 2020 01:43:00 +0300

>> >> I noticed that image-mode still lacks one needed command:
>> >> some image viewers have a menu item titled “Normal Size C-0” or
>> >> “Original Size C-0”.  Here's is the patch that implements it:
>> > <snip>
>> >> +	["Original Size" image-transform-original
>> >> +	 :help "Reset image to original size"]
>> >
>> > Hi Juri, this looks good to me, but I’m not sure about saying
>> > "original size", as that may be mistaken for meaning the size it was
>> > when it was loaded the first time.
>> 
>> It seems the correct term for the size of the image loaded the first
>> time would be "initial size"?  Hmm, actually, the docstring of
>> 'image-transform-reset' says the correct term for the initial size is
>> "default size".
>> 
>> > Perhaps "actual size"? It’s not great, but I think less open to
>> > interpretation than "original".
>> 
>> I don't know, some programs use "original size", some "normal size":
>
> If you're happy enough it won't be a problem I won't argue. :)

Actually the problem is in consistency of these two menu items:

	["Original Size" image-transform-original
	 :help "Reset image to original size"]
	["Reset Transformations" image-transform-reset
	 :help "Reset all image transformations"]

image-transform-original resets to the actual/original/normal size.
image-transform-reset resets to the default size defined by image-auto-resize.

So they both should be fixed to be mutually consistent.

One possible change is:

  "Original Size"
  "Reset to Default Size"

But when using "Actual Size" instead of "Original Size",
what would be a good title for the second menu item?